import requests
import json
import base64
import os
import math

'''场景识别'''
def scene_recognition(filename='',topNum=5):
    if not filename:
        return -1
    SCENE_DESC = {
0:'机场',60:'肉店',120:'栽培',180:'垃圾填埋',240:'索桥',1:'机舱',61:'巴特',121:'野生的',181:'降落甲板',
241:'废墟',2:'机场航站楼',62:'小屋内',122:'场路',182:'草坪',242:'沙盒',3:'胡同',
63:'自助餐厅',123:'火灾逃生',183:'图书馆室内',243:'桑拿',4:'游乐场',64:'营地',124:'消防站',
184:'灯塔',244:'服务器机房',5:'游乐园',65:'校园',125:'鱼塘',185:'客厅',245:'鞋店',6:'公寓大楼外',66:'自然的',126:'室内跳蚤市场',186:'大堂',
246:'大商场室内',7:'水族馆',67:'城市的',127:'室内花店',187:'更衣室',247:'淋浴',8:'渡槽',68:'糖果店',
128:'美食广场',188:'商店外面',248:'滑雪度假村',9:'游乐中心',69:'峡谷',129:'足球场',189:'商店里面',249:'天空',
10:'考古发掘',70:'汽车内饰',130:'阔叶',190:'沼泽',250:'摩天大楼',11:'档案文件',71:'旋转木马',
131:'森林的小路',191:'武术馆',251:'雪地',12:'曲棍球',72:'城堡',132:'林道',192:'水',252:'足球场',
13:'性能',73:'地下墓穴',133:'正式的花园',193:'清真寺外面',253:'稳定的',14:'牛仔竞技比赛',74:'墓地',
134:'喷泉',194:'山',254:'棒球',15:'陆军基地	',75:'化学实验室',135:'厨房',195:'山间小道',255:'足球',
16:'艺术画廊',76:'孩子的房间',136:'车库内',196:'山上的雪',256:'室内舞台',
17:'艺术学校',77:'礼堂内',137:'车库外',197:'电影院室内',257:'户外舞台',
18:'艺术工作室',78:'礼堂外',138:'加油站',198:'博物馆室内',258:'楼梯',
19:'装配线',79:'教室',139:'外部',199:'音乐工作室',259:'街道',
20:'户外田径场地',80:'悬崖',140:'杂货店内',200:'自然历史博物馆',260:'地铁站台',
21:'阁楼',81:'衣柜',141:'礼品店',201:'婴儿室',261:'超市',
22:'大礼堂',82:'服装店',142:'冰川',202:'海洋',262:'寿司店',
23:'汽车厂',83:'海岸',143:'高尔夫球场',203:'办公室',263:'沼泽',
24:'汽车展厅',84:'驾驶舱',144:'温室内',204:'办公隔间',264:'游泳池',
25:'荒地',85:'咖啡店',145:'温室外',205:'石油钻台',265:'室内游泳池',
26:'商店',86:'电脑室',146:'石窟',206:'操作室',266:'户外游泳池',
27:'外部',87:'会议室',147:'体育馆内',207:'果园',267:'电视演播室',
28:'内部',88:'施工现场',148:'飞机棚内',208:'乐池',268:'亚洲',
29:'球坑',89:'玉米田',149:'飞机棚外',209:'宝塔',269:'王座室',
30:'舞厅',90:'畜栏',150:'港',210:'宫殿',270:'售票厅',
31:'竹林',91:'走廊',151:'五金店',211:'食品贮藏室',271:'修剪花园',
32:'银行金库',92:'庭院',152:'海菲尔德',212:'公园',272:'塔',
33:'宴会厅',93:'小溪',153:'直升机场',213:'室内停车场',273:'玩具店',
34:'酒吧',94:'决口',154:'公路',214:'停车场',274:'列车内部',
35:'棒球场',95:'人行横道',155:'家庭办公室',215:'牧场',275:'火车站台',
36:'地下室',96:'水坝',156:'医院的房间',216:'亭阁',276:'林场',
37:'室内篮球场',97:'熟食店',157:'温泉',217:'宠物店',277:'树屋',
38:'浴室',98:'百货商店',158:'酒店外',218:'药房',278:'沟槽',
39:'室内市场',99:'沙',159:'酒店房间',219:'电话亭',279:'苔原',
40:'户外市场',100:'植被',160:'房子',220:'码头',280:'海洋的深处',
41:'海滩',101:'沙漠公路',161:'冰淇淋店',221:'比萨店',281:'实用的房间',
42:'美容院',102:'路边小饭店',162:'浮冰',222:'操场',282:'山谷',
43:'卧室',103:'餐厅',163:'冰架',223:'广场',283:'植物园',
44:'泊位',104:'餐厅',164:'室内溜冰场',224:'池塘',284:'兽医办公室',
45:'生物学实验室',105:'迪斯科舞厅',165:'室外溜冰场',225:'酒馆内',285:'高架桥',
46:'木板路',106:'宿舍',166:'冰山',226:'赛马场',286:'村庄',
47:'船的甲板上',107:'市中心',167:'工业区',227:'滚道',287:'葡萄园',
48:'船屋',108:'更衣室',168:'胰岛',228:'筏',288:'火山',
49:'书店',109:'车道',169:'浴缸里',229:'铁路轨道',289:'户外排球场',
50:'公用电话亭里面',110:'药店',170:	'监狱',230:'雨林',290:'水上公园',
51:'植物园',111:'门',171:'日本花园',231:'接待',291:'水塔',
52:'室内的弓形窗',112:'电梯大堂',172:'珠宝店',232:'娱乐室',292:'瀑布',
53:'保龄球馆',113:'电梯井',173:'垃圾场',233:'修理店',293:'浇水洞',
54:'拳击台',114:'发动机室',174:'城堡',234:'餐厅',294:'波动',
55:'桥',115:'室内自动扶梯',175:'狗屋外面',235:'餐厅厨房',295:'小麦田',
56:'建筑立面',116:'开挖',176:'幼儿园的教室',236:'餐厅的露台',296:'风电场',
57:'斗牛场',117:'布艺店',177:'厨房',237:'稻田',297:'院子',
58:'车内',118:'农场',178:'泻湖',238:'河',298:'禅园',
59:'公交车站内',119:'快餐店',179:'自然的',239:'岩拱'}

    url = 'https://www.phpfamily.org/sceneRecognition.php'
    filepath = os.path.abspath(filename)
    b64img= base64.b64encode(open(filepath, 'rb').read()).rstrip().decode('utf-8')
    data = {}
    data['b64img'] = b64img
    if topNum < 1 :
        topNum = 1
    if topNum > 5 :
        topNum = 5
    data['topk'] = topNum
    r = requests.post(url, data=data)
    res = r.json()
    if res['ret'] == 0 and res['data']:
        for val in res['data']['scene_list']:
            val['label_id'] = SCENE_DESC[val['label_id']]
            val['label_confd'] = str(math.ceil(val['label_confd']*100)) + '%'
        return res['data']['scene_list']
    else:
        return -1

'''物体识别'''
def object_recognition(filename='',topNum=5):
    if not filename:
        return -1
    OBJECT_DESC = {
    0:'鲤鱼',200:'菊花狗',400:'学位袍',600:'钩爪',800:'赌博机',1:'金鱼',
    201:'丝毛狗',401:'手风琴',601:'衬裙',801:'通气管',2:'大白鲨',202:'爱尔兰软毛犬',
    402:'原声吉他',602:'单杠',802:'雪橇',3:'虎鲨',203:'西部高地白犬',403:'航母',603:'马车',
    803:'扫雪机',4:'锤头鲨',204:'拉萨、拉萨犬',404:'客机',604:'沙漏',804:'皂液器',5:'电鳗',
    205:'平滑毛寻回犬',405:'飞船',605:'音乐播放器',805:'足球',6:'黄貂鱼',206:'卷毛寻回犬',
    406:'祭坛',606:'铁',806:'短袜',7:'公鸡',207:'金毛猎犬',407:'救护车',607:'南瓜灯',
    807:'太阳能盘',8:'母鸡',208:'拉布拉多猎犬',408:'水陆两用飞机构',608:'牛仔裤',808:'宽边帽',
    9:'鸵鸟',209:'乞沙比克猎犬',409:'模拟时钟',609:'吉普车',809:'一碗汤',10:'燕雀',
    210:'德国短毛猎犬',410:'蜂房',610:'T恤',810:'空格键',11:'金翅雀',211:'匈牙利维兹拉犬',
    411:'围裙',611:'拼图游戏',811:'空间加热器',12:'朱雀',212:'英国赛特犬',412:'垃圾桶',
    612:'黄包车',812:'航天飞机',13:'雪鸟',213:'爱尔兰塞特猎犬',413:'突击步枪',613:'操纵杆',
    813:'铲',14:'雀鸟',214:'戈登雪达犬',414:'背包',614:'和服',814:'快艇',15:'美洲知更鸟',
    215:'布列塔尼犬',415:'面包店',615:'护膝',815:'蜘蛛网',16:'鹎',216:'黄毛猎犬',416:'平衡梁',
    616:'结',816:'主轴',17:'松鸦',217:'英国史宾格犬',417:'气球',617:'实验室工作服',817:'跑车',18:'喜鹊',
    218:'威尔士激飞猎犬',418:'圆珠笔',618:'钢包',818:'聚光灯',19:'山雀',219:'英国可卡犬',
    419:'创可贴',619:'灯罩',819:'舞台',20:'河鸟',220:'萨塞克斯猎犬',420:'班卓琴',620:'笔记本电脑',820:'蒸汽机车',
    21:'风筝',221:'爱尔兰水猎犬',421:'栏杆',621:'割草机',821:'钢拱桥',22:'秃头鹰',222:'哥威斯犬',422:'杠铃',622:'镜头盖',
    822:'钢鼓',23:'秃鹫',223:'舒柏奇犬',423:'理发椅',623:'开信刀',823:'听诊器',24:'大灰猫头鹰',224:'牧羊犬',424:'理发店',
    624:'图书馆',824:'长巾',25:'欧洲火蝾螈',225:'马里努阿犬',425:'谷仓',625:'救生艇',825:'石头墙',26:'蝾螈',226:'伯瑞犬',
    426:'气压计',626:'打火机',826:'秒表',27:'水蜥蜴',227:'澳大利亚护羊犬',427:'木桶',627:'豪华轿车',827:'火炉',28:'斑点蝾螈',
    228:'可蒙犬',428:'手推车',628:'班轮',828:'过滤器',29:'美西螈',229:'英国牧羊犬',429:'棒球',629:'口红',829:'有轨电车',
    30:'牛蛙',230:'喜乐蒂牧羊犬',430:'篮球',630:'拖鞋',830:'担架',31:'树蛙',231:'牧羊犬',431:'摇篮',631:'洗剂',831:'工作室沙发',
    32:'尾蟾',232:'边境牧羊犬',432:'巴松管',632:'扬声器',832:'佛塔',33:'红海龟',233:'法兰德斯畜牧犬',433:'游泳帽',633:'放大镜',833:'潜艇',
    34:'棱皮龟',234:'罗威犬',434:'浴巾',634:'锯木厂',834:'西服',35:'泥龟',235:'德国牧羊犬',435:'浴缸',635:'磁罗盘',835:'日晷',36:'鳖',
    236:'杜宾犬',436:'沙滩车',636:'邮袋',836:'太阳镜',37:'箱龟',237:'迷你杜宾犬',437:'灯塔',637:'信箱',837:'墨镜',38:'条纹壁虎',238:'大瑞士山犬',
    438:'烧杯',638:'紧身衣',838:'防晒霜',39:'绿鬣蜥',239:'伯恩山犬',439:'熊皮',639:'背带式女浴衣',839:'悬索桥',40:'美国变色龙',240:'阿彭策尔勒犬',
    440:'啤酒瓶',640:'窨井盖',840:'拖把',41:'鞭尾蜥蜴',241:'恩特雷布赫山犬',441:'啤酒杯',641:'沙球',841:'运动衫',42:'飞龙科蜥蜴',242:'拳狮犬',
    442:'钟架',642:'马林巴木琴',842:'游泳裤',43:'皱褶蜥蜴',243:'斗牛獒犬',443:'围兜',643:'面具',843:'摆动',44:'鳄蜥',244:'藏獒',444:'双坐自行车',
    644:'火柴',844:'开关',45:'毒蜥',245:'法国斗牛犬',445:'比基尼',645:'花柱',845:'注射器',46:'绿蜥蜴',246:'大丹犬',446:'粘合剂',646:'迷宫',
    846:'台灯',47:'非洲变色龙',247:'圣伯纳德狗',447:'望远镜',647:'测量杯',847:'坦克',48:'科莫多龙',248:'爱斯基摩犬',448:'鸟舍',648:'药箱',
    848:'磁带播放器',49:'非洲鳄鱼',249:'雪橇犬',449:'船屋',649:'巨石',849:'茶壶',50:'美国短吻鳄',250:'西伯利亚雪橇犬',450:'雪橇',650:'麦克风',
    850:'泰迪熊',51:'三角龙',251:'达尔马提亚',451:'波洛领带',651:'微波炉',851:'电视系统',52:'雷霆蛇',252:'猴犬',452:'阀盖',652:'军装',852:'网球',
    53:'环颈蛇',253:'巴辛吉',453:'书柜',653:'奶瓶',853:'茅草屋顶',54:'猪鼻蛇',254:'哈巴狗',454:'书店',654:'小巴士',854:'剧场幕布',55:'绿蛇',
    255:'兰伯格犬',455:'瓶盖',655:'迷你裙',855:'顶针',56:'大王蛇',256:'纽芬兰犬',456:'弓',656:'面包车',856:'脱粒机',57:'乌梢蛇',257:'大白熊犬',457:'领结',657:'导弹',857:'宝座',58:'水蛇',258:'萨摩犬',
    458:'黄铜',658:'手套',858:'瓦屋顶',59:'藤蛇',259:'博美犬',459:'文胸',659:'搅拌碗',859:'烤面包机',60:'夜蛇',260:'松狮犬',460:'码头',660:'制造家',860:'烟草店',61:'蟒蛇',261:'荷兰毛狮犬',461:'盾牌',
    661:'模型',861:'马桶座',62:'岩蟒',262:'布鲁塞尔格林芬犬',462:'扫帚',662:'调制解调器',862:'火炬',63:'印度眼镜蛇',263:'潘布魯克威尔斯柯基犬',463:'水桶',663:'修道院',863:'图腾柱',64:'曼巴蛇',264:'卡迪根威尔士柯基犬',464:'搭扣',664:'监控',
    864:'拖车',65:'海蛇',265:'玩具型贵宾犬',465:'防弹背心',665:'助力车',865:'玩具店',66:'角蝰',266:'迷你型贵宾犬',466:'子弹列车',666:'砂浆',866:'拖拉机',67:'响尾蛇',267:'标准型贵宾犬',467:'肉店',667:'学位帽',867:'拖车',
    68:'角响尾蛇',268:'墨西哥无毛犬',468:'出租车',668:'清真寺',868:'托盘',69:'三叶虫',269:'灰狼',469:'釜',669:'蚊帐',869:'风衣',70:'喜蛛',270:'白狼',470:'蜡烛',670:'摩托车',870:'三轮车',71:'蝎子',
    271:'红狼',471:'大炮',671:'山地自行车',871:'三体船',72:'金园蛛',272:'草原狼',472:'独木舟',672:'登山帐',872:'三脚架',73:'仓蜘',273:'澳洲野犬',473:'开罐器',673:'鼠标',873:'凯旋门',74:'园蛛',274:'豺狗',
    474:'开衫',674:'捕鼠器',874:'无轨电车',75:'黑寡妇',275:'三色犬',475:'车镜',675:'移动车',875:'长号',76:'狼蛛',276:'鬣狗',476:'旋转木马',676:'枪口',876:'浴缸',77:'狼蛛',277:'红狐狸',477:'木匠工具箱',
    677:'指甲',877:'十字转门',78:'扁虱',278:'美洲小狐',478:'纸箱',678:'颈托',878:'打字机键盘',79:'蜈蚣',279:'北极狐',479:'汽车轮',679:'项链',879:'雨伞',80:'黑琴鸡',280:'灰色的狐狸',480:'提款机',680:'乳头',
    880:'独轮车',81:'雷鸟',281:'虎斑',481:'盒式录音带',681:'笔记本电脑',881:'立式钢琴',82:'鹧鸪',282:'猫虎',482:'磁带播放器',682:'方尖碑',882:'真空吸尘器',83:'草原鸡',283:'波斯猫',483:'城堡',683:'双簧管双簧管',883:'花瓶',84:'孔雀',
    284:'暹罗暹罗猫',484:'双体船',684:'陶笛',884:'拱顶',85:'鹌鹑',285:'埃及猫',485:'播放器',685:'里程表',885:'天鹅绒',86:'鹧鸪',286:'美洲狮',486:'大提琴',686:'滤油器',886:'自动售货机',87:'非洲灰鹦鹉',287:'猞猁',
    487:'蜂窝电话',687:'风琴',887:'法衣',88:'金刚鹦鹉',288:'豹',488:'链',688:'示波器',888:'高架桥',89:'葵花凤头鹦鹉',289:'雪豹',489:'围栏',689:'罩裙',889:'小提琴',90:'吸蜜鹦鹉',290:'美洲虎',490:'邮件',
    690:'牛车',890:'排球',91:'鸦鹃',291:'狮子',491:'油锯',691:'氧气面罩',891:'松饼机',92:'蜂虎',292:'虎',492:'胸部',692:'小包裹',892:'墙上的时钟',93:'犀鸟',293:'猎豹',493:'衣柜',693:'桨',
    893:'钱包',94:'蜂鸟',294:'棕熊',494:'编钟',694:'明轮',894:'衣柜',95:'食虫鸟',295:'黑熊',495:'瓷器柜',695:'挂锁',895:'军用飞机',96:'巨嘴鸟',296:'北极熊',496:'圣诞袜',696:'画笔',896:'洗脸盆',
    97:'公鸭',297:'懒熊',497:'教堂',697:'睡衣',897:'洗衣机',98:'红胸秋沙鸭',298:'猫鼬',498:'电影院',698:'宫殿',898:'一瓶水',99:'鹅',299:'狐獴',499:'切肉刀',699:'排箫',899:'水壶',100:'黑天鹅',
    300:'虎甲虫',500:'崖居',700:'纸巾',900:'水塔',101:'塔斯克',301:'瓢虫',501:'斗篷',701:'降落伞',901:'威士忌的壶',102:'食蚁兽',302:'地面甲虫',502:'木鞋',702:'双杠杆',902:'吹口哨',103:'鸭嘴兽',303:'天牛',
    503:'鸡尾酒调酒器',703:'公园的长椅',903:'假发',104:'袋鼠',304:'叶甲',504:'咖啡杯',704:'停车收费表',904:'纱窗',105:'考拉',305:'粪甲虫',505:'咖啡壶',705:'客车',905:'百叶窗',106:'袋熊',306:'犀甲虫',506:'线圈',
    706:'露台',906:'温莎领带',107:'水母',307:'象甲',507:'密码锁',707:'付费电话',907:'酒瓶',108:'海葵',308:'飞',508:'电脑键盘',708:'底座',908:'翼',109:'脑珊瑚',309:'蜜蜂',509:'糖果',709:'铅笔盒',
    909:'炒锅',110:'扁虫扁形动物',310:'蚂蚁',510:'集装箱船',710:'卷笔刀',910:'木勺子',111:'线虫',311:'蚱蜢',511:'可转换',711:'香水',911:'羊毛',112:'海螺',312:'蟋蟀',512:'螺旋形的',712:'培养皿',912:'蠕虫围栏',
    113:'蜗牛',313:'竹节虫',513:'喇叭',713:'复印机',913:'沉船',114:'鼻涕虫',314:'蟑螂',514:'牛仔靴',714:'挑',914:'快艇',115:'裸鳃海蛞蝓',315:'螳螂',515:'牛仔帽',715:'头盔',915:'蒙古包',116:'石鳖',
    316:'蝉',516:'摇篮',716:'栅栏',916:'网站',117:'鹦鹉螺',317:'叶蝉',517:'起重机',717:'皮卡',917:'漫画书',118:'珍宝蟹',318:'中华草蛉',518:'头盔',718:'码头',918:'纵横填字谜',119:'岩石蟹',
    319:'蜻蜓、大蚊',519:'箱',719:'储蓄银行',919:'街道标志',120:'招潮蟹',320:'豆娘',520:'婴儿床',
    720:'药瓶',920:'交通信号灯',121:'皇帝蟹',321:'花蝶',521:'瓦罐锅',721:'枕头',
    921:'皮书套',122:'美国龙虾',
    322:'小环蝴蝶',522:'槌球',722:'乒乓球',922:'菜单',123:'龙虾',323:'帝王蝶',523:'拐杖',723:'风车',923:'盘子',124:'小龙虾',324:'菜粉蝶',524:'胸甲',724:'海盗船',924:'鳄梨酱',125:'寄居蟹',325:'硫蝴蝶',
    525:'堤坝',725:'水罐',925:'清汤',126:'等足目动物',326:'灰蝶',526:'书桌',726:'飞机',926:'火锅',127:'白鹳',327:'海星',527:'台式电脑',727:'天文馆',927:'琐事',128:'黑鹳',328:'海胆',528:'拨号电话',
    728:'塑料袋',928:'冰淇淋',129:'琵鹭',329:'海参',529:'尿布',729:'板架',929:'雪糕',130:'火烈鸟',330:'木兔',530:'数字时钟',730:'犁',930:'法国面包',131:'小蓝鹭',331:'野兔',531:'数字手表',731:'柱塞',
    931:'百吉饼',132:'大白鹭',332:'兔',532:'餐桌',732:'宝丽来相机',932:'椒盐脆饼',133:'麻鸦',333:'仓鼠',533:'抹布',733:'极',933:'芝士汉堡',134:'鹤',334:'刺猬',534:'洗碗机',734:'警车',934:'热狗',
    135:'锦鸡',335:'东方狐松鼠',535:'盘式制动器',735:'雨披',935:'土豆泥',136:'欧洲水鸡',336:'土拨鼠',536:'码头',736:'台球桌',936:'结球甘蓝',137:'美国黑鸭',337:'海狸',537:'狗拉雪橇',737:'汽水瓶',937:'西兰花',138:'鸨',
    338:'豚鼠',538:'拱顶',738:'花盆',938:'菜花',139:'翻石鹬',339:'酢浆草',539:'门垫',739:'陶工的轮子',939:'西葫芦',140:'红背鹬',340:'斑马',540:'钻井平台',740:'电钻',940:'意大利南瓜',141:'红脚鹬',341:'猪',
    541:'鼓',741:'祈祷毯',941:'小青南瓜',142:'半蹼鹬',342:'野猪',542:'鼓槌',742:'打印机',942:'南瓜',143:'蛎鹬',343:'疣猪',543:'哑铃',743:'监狱',943:'黄瓜',144:'鹈鹕',344:'河马',544:'荷兰烤箱',
    744:'导弹',944:'朝鲜蓟',145:'帝企鹅',345:'公牛',545:'电风扇',745:'投影机',945:'甜椒',146:'大海鸟',346:'水牛',546:'电吉他',746:'冰球',946:'刺棘蓟',147:'灰鲸',347:'野牛',547:'电力机车',747:'沙包',
    947:'蘑菇',148:'虎鲸',348:'公羊',548:'娱乐中心',748:'钱包',948:'澳洲青苹',149:'儒艮',349:'大角羊',549:'信封',749:'羽毛笔',949:'草莓',150:'海狮',350:'山羊',550:'咖啡机',750:'被子',950:'橙色',
    151:'墨西哥狗',351:'狷羚',551:'香粉',751:'赛车',951:'柠檬',152:'日本猎犬',352:'黑斑羚',552:'蟒蛇',752:'球拍',952:'无花果',153:'马尔济斯犬',353:'瞪羚',553:'文件',753:'散热器',953:'菠萝',
    154:'哈巴狗',354:'阿拉伯骆驼',554:'消防船',754:'无线电',954:'香蕉',155:'狮子狗',355:'美洲驼',555:'消防车',755:'无线电望远镜',955:'木菠萝',156:'布莱尼姆猎犬',356:'黄鼠狼',556:'火屏',756:'雨桶',
    956:'蛋奶冻苹果',157:'巴比',357:'水貂',557:'旗杆',757:'休闲车',957:'石榴',158:'玩具犬',358:'艾鼬',558:'长笛',758:'卷轴',958:'干草',159:'罗得西亚脊背犬',359:'黑足鼬',559:'折叠椅',759:'反射式照相机',959:'培根',
    160:'阿富汗猎犬',360:'水獭',560:'橄榄球头盔',760:'冰箱',960:'巧克力酱',161:'猎犬',361:'臭鼬',561:'叉车',761:'远程遥控',961:'面团',162:'比格犬',362:'獾',562:'喷泉',762:'餐厅',962:'瑞士肉包',
    163:'侦探猎犬',363:'犰狳',563:'钢笔',763:'左轮手枪',963:'比萨派',164:'蓝斑猎狗',364:'三趾树懒',564:'四柱',764:'步枪',964:'馅饼',165:'猎浣熊犬',365:'猩猩',565:'货运车',765:'摇椅',965:'玉米煎饼',
    166:'沃克犬',366:'大猩猩',566:'号角',766:'烤肉店',966:'红葡萄酒',167:'英国猎狐犬',367:'黑猩猩',567:'煎锅',767:'橡皮',967:'意大利浓咖啡',168:'美洲赤狗',368:'长臂猿',568:'毛皮大衣',768:'橄榄球',
    968:'杯子',169:'俄罗斯猎狼犬',369:'合趾猿长臂猿',569:'垃圾车',769:'标尺',969:'蛋奶酒',170:'爱尔兰猎狼犬',370:'长尾猴',570:'防毒面具',770:'跑步鞋',970:'高山',171:'意大利灵缇犬',371:'猴子',571:'气泵',
    771:'保险箱',971:'气泡',172:'惠比特犬',372:'狒狒',572:'高脚杯',772:'别针',972:'悬崖',173:'依比沙猎犬',373:'猕猴',573:'卡丁车',773:'盐瓶',973:'珊瑚礁',174:'挪威猎犬',374:'叶猴',574:'高尔夫球',
    774:'凉鞋',974:'间歇泉',175:'奥达猎犬',375:'疣',575:'高尔夫球车',775:'布裙',975:'湖边',176:'沙克犬瞪羚猎犬',376:'长鼻猴',576:'贡多拉',776:'萨克斯管',976:'海角',177:'苏格兰猎鹿犬',377:'狨',
    577:'锣',777:'剑鞘',977:'沙洲',178:'威玛猎犬',378:'浣熊',578:'长袍',778:'秤',978:'海岸',179:'斯塔福德郡斗牛犬',379:'吼猴',579:'大钢琴',779:'校车',979:'谷',180:'美国斗牛犬',380:'伶猴',580:'苗圃',
    780:'帆船',980:'火山',181:'贝德灵顿犬',381:'蜘蛛猴',581:'格栅',781:'记分牌',981:'棒球运动员',182:'博德猎狐犬',382:'松鼠猴',582:'杂货店',782:'屏幕',982:'新郎',183:'凯丽蓝犬',383:'马达加斯加猫',
    583:'断头台',783:'螺丝钉',983:'潜水员',184:'爱尔兰犬',384:'大狐猴',584:'幻灯片',784:'螺丝刀',984:'油菜',185:'诺福克犬',385:'印度大象',585:'头发喷雾',785:'安全带',985:'雏菊',186:'诺维奇犬',386:'非洲大象',586:'半轨',
    786:'缝纫机',986:'黄色凤仙花',187:'约克郡犬',387:'小熊猫',587:'铁锤',787:'小圆盾',987:'玉米',188:'刚毛猎狐犬',388:'熊猫',588:'阻碍',788:'鞋店',988:'橡子',189:'莱克兰犬',389:'杖鱼',589:'手吹风',789:'障子',
    989:'玫瑰果',190:'锡利哈姆犬',390:'鳗鱼',590:'掌上电脑',790:'购物篮',990:'七叶树',191:'艾尔谷犬',391:'银大马哈鱼',591:'手帕',791:'购物车',991:'珊瑚菌',192:'凯恩犬',392:'三色刺蝶鱼',592:'硬盘',792:'铲子',
    992:'木耳',193:'澳大利亚犬',393:'海葵鱼',593:'口风琴',793:'淋浴帽',993:'鹿花菌属',194:'英国小猎犬',394:'鲟鱼',594:'竖琴',794:'浴帘',994:'鬼笔菌',195:'波士顿犬',395:'雀鳝',595:'收割机',795:'滑雪',
    995:'地星',196:'迷你雪纳瑞',396:'狮子鱼',596:'斧头',796:'滑雪面罩',996:'灰树花',197:'巨型雪纳瑞',397:'河豚',597:'皮套',797:'睡袋',997:'牛肝菌',198:'标准雪纳瑞',398:'算盘',598:'家庭影院',
    798:'计算尺',998:'穗',199:'苏格兰犬',399:'长袍',599:'蜂窝',799:'滑动门',999:'卫生纸'
    }
    url = 'https://www.phpfamily.org/objectRecognition.php'
    filepath = os.path.abspath(filename)
    b64img= base64.b64encode(open(filepath, 'rb').read()).rstrip().decode('utf-8')
    data = {}
    data['b64img']=b64img
    if topNum < 1 :
        topNum = 1
    if topNum > 5 :
        topNum = 5
    data['topk'] = topNum
    r = requests.post(url, data=data)
    res = r.json()
    if res['ret'] == 0 and res['data']:
        for val in res['data']['object_list']:
            val['label_id'] = OBJECT_DESC[val['label_id']]
            val['label_confd'] = str(math.ceil(val['label_confd']*100)) + '%'
        return res['data']['object_list']
    else:
        return -1

def main():
    res = object_recognition('1122.jpeg')
    print(res)
    res = scene_recognition('1122.jpeg')
    print(res)
if __name__ == '__main__':
    main()
